﻿@model BenhVien.MODEL.Khoa
@using BenhVien.UI.Models
<div class="modal-dialog">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Thông tin khoa</h4>
        </div>
        <form class="fv-form fv-form-bootstrap" id="frm-capnhat1">
            <div class="modal-body">
                <input type="hidden" id="Id" name="Id" value="@(Model != null? Model.Id.ToString():"")">
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Tên khoa</label>
                        <div>
                            <input type="text" id="Ten" class="form-control" name="Ten" autocomplete="off" value="@(Model != null?Model.Ten :"")">
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Trạng thái:</label>
                        <div>
                            <select class="ctr-select" data-live-search="true" name="TrangThaiID">
                                <option value="@EnumStatus.ACTIVE" @((Model != null && Model.TrangThaiID == EnumStatus.ACTIVE) ? "Selected" : "")>@EnumStatus.ToString(EnumStatus.ACTIVE)</option>
                                <option value="@EnumStatus.INACTIVE" @((Model != null && Model.TrangThaiID == EnumStatus.INACTIVE) ? "Selected" : "")>@EnumStatus.ToString(EnumStatus.INACTIVE)</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Số điện thoại :</label>
                        <div>
                            <input type="text" id="SDT" class="form-control" name="SDT" autocomplete="off" value="@(Model != null?Model.SDT :"")">
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Địa chỉ</label>
                        <div>
                            <input type="text" id="DiaChi" class="form-control" name="DiaChi" autocomplete="off" value="@(Model != null?Model.DiaChi :"")">
                        </div>
                    </div>
                </div>

                
            </div>
            <div class="clearfix"></div>
            <div class="modal-footer">
                <button id="btn-save1" type="submit" class="btn btn-success">Lưu</button>
                <button type="button" class="btn btn-primary" data-dismiss="modal">Thoát</button>
            </div>
        </form>
    </div>
</div>
<script>
    $(document).ready(function () {
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
    })
</script>
<script>
    $(document).ready(function () {
        $('#frm-capnhat1').formValidation({
            framework: 'bootstrap',
            excluded: ':disabled',
            fields: {
                Ten: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                    }
                },
                DiaChi: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                    }
                },
               
                SDT: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                var vnf_regex = /((09|03|07|08|05)+([0-9]{8})\b)/g;
                                if (value.length != 0 && vnf_regex.test(value) == false) {
                                    return {
                                        valid: false,
                                        message: 'Số điện thoại của bạn không đúng định dạng!'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
            }
        }).on('success.form.fv', function (e) {
            document.getElementById("btn-save1").disabled = true;
            e.preventDefault();
            $.ajax({
                url: '@Url.Action("Update", "Khoa", new { area = "QuanTri" })',
                type: 'POST',
                dataType: 'json',
                mimeType: "multipart/form-data",
                contentType: false,
                processData: false,
                async: false,
                cache: false,
                data: new FormData(document.getElementById('frm-capnhat1')),
                success: function (data) {
                    if (data.kq == "ok") {
                        alertify.success(data.msg);
                        window.location.href = '@Url.Action("MainPage", "Khoa", new { area= "QuanTri" })';
                    }
                    else {
                        alertify.error(data.msg);
                        document.getElementById("btn-save1").disabled = false;
                        $("#btn-save1").removeClass("disabled");
                    }
                }
            });
        });
    });

</script>






